Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# StringBuffer Class Reference
[Unicode core]

Inheritance diagram for StringBuffer:

## Detailed Description

Unicode growable StringBuffer.

## Public Methods
| StringBuffer ()
| Creates empty string buffer.
| StringBuffer (const char *string, int s=0, int l=-1)
| Creates string buffer with `string.`
| StringBuffer (const String *cstring, int s=0, int l=-1)
| Creates string buffer with `string.`
| StringBuffer (const String &cstring, int s=0, int l=-1)
| Creates string buffer with `string.`
| ~StringBuffer ()
| Destructor.
StringBuffer & | append (const String &string)
| Appends to this string buffer `string.`
StringBuffer & | append (const String *string)
| Appends to this string buffer `string.`
StringBuffer & | operator+ (const String &string)
| Appends to this string buffer `string.`
StringBuffer & | operator+ (const String *string)
| Appends to this string buffer `string.`
StringBuffer & | operator+ (const char *string)
| Appends to this string buffer `string.`
StringBuffer & | operator+= (const String &string)
| Appends to this string buffer `string.`
StringBuffer & | operator+= (const char *string)
| Appends to this string buffer `string.`

## Member Function Documentation

StringBuffer & StringBuffer::operator+ | ( | const String & | string | ) |

| Appends to this string buffer `string.` C++ operator+ form. You can write: yourcall(StringBuffer("first")+"second"+third);

StringBuffer & StringBuffer::operator+ | ( | const String * | string | ) |

| Appends to this string buffer `string.` C++ operator+ form.

StringBuffer & StringBuffer::operator+ | ( | const char * | string | ) |

| Appends to this string buffer `string.` C++ operator+ form.

StringBuffer & StringBuffer::operator+= | ( | const String & | string | ) |

| Appends to this string buffer `string.` C++ operator+= form.

StringBuffer & StringBuffer::operator+= | ( | const char * | string | ) |

| Appends to this string buffer `string.` C++ operator+= form.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.